#
# spec file for package tree-sitter-java
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name java
Summary:        Java grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.20.2
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-java
Source0:        %{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM 0001-fix-unescaped-curly-brace-in-regex-and-invert-query-.patch
# -- unescaped curly brace in regex and invert query precedence for test
# Fix build against new tree-sitter based taken from master branch
Patch1:         0001-fix-unescaped-curly-brace-in-regex-and-invert-query-.patch
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%{treesitter_files}
%license LICENSE

%changelog
* Fri Mar 22 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Add patch from 0001-fix-unescaped-curly-brace-in-regex-and-invert-query-.patch
  master branch to fix build against tree-sitter 0.22.x
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.2:
  * Update workflow to publish crate, NPM package, and create GitHub release
  * chore: generate
  * fix: allow semicolons in annotation_type_declaration
  * fix: double-backslash escapes
  * fix: escaped quote immediately before triple quote
  * fix: annotations following type arguments
  * fix: a receiver parameter can be followed by more parameters
